---
title: "Get All Room Admins"
slug: "get-all-room-admins"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Room Admins

Get/api/v1/rooms.adminRooms

Retrieves all rooms and admin information.

Permission required: `view-room-administration`

### Changelog

| Version | Description |
| --- | --- |
| 2.4.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parameterstypesarray of string

The room types. The possible room types are:

- `d`: Direct messages
- `c`: Public channel
- `p`: Private channel
- `discussions`: Team or channel discussions
- `teams`: Workspace teams
- `l`: Livechat
- `v`: Omnichannel VoIP rooms

filterstring

The rooms name

countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sortstring

Sort the channels in ascending (`1`) or descending (`-1`) order. The value must be entered as a JSON object. The options are as follows:

- `ts`: Sort by creation timestamp. For example, `sort={&quot;ts&quot;:-1}`
- `usersCount`: Sort by number of users. For example, `sort={&quot;usersCount&quot;:1}`
- `name`: Sort by the room name. For example, `sort={&quot;name&quot;:1}`

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='cdeac034-9f7d-4e38-b00b-45f3c3212cad'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='771c2fe9-d8f5-410e-8ac4-fa3962e55531'>Success</option>
</select>Success

```json
{
  "rooms": [
    {
      "_id": "654c9d1ca2f73c7460e1918b",
      "fname": "animalGeography",
      "topic": "",
      "broadcast": false,
      "name": "animalGeography",
      "t": "p",
      "msgs": 4,
      "usersCount": 1,
      "u": {
        "_id": "CkCPNcvsvCDfmWLqC",
        "username": "kim.jane",
        "name": "kim.jane"
      },
      "ro": false,
      "default": false
    }
  ],
  "count": 1,
  "offset": 0,
  "total": 1,
  "success": true
}
```

Expand Allobject  rooms Array of object   object  _idstring    
fnamestring    
descriptionstring    
broadcastboolean    
federatedboolean    
namestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    

roboolean    
defaultboolean    
topicstring    
announcementstring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='ad24070c-fc8c-42c2-8b84-368e20ee5bfe'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='0a31a66f-d245-4f08-b072-46bbb3aeba26'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
